summaryrefslogtreecommitdiffstats
path: root/git/bin/git-hook.d
diff options
context:
space:
mode:
Diffstat (limited to 'git/bin/git-hook.d')
-rwxr-xr-xgit/bin/git-hook.d13
1 files changed, 13 insertions, 0 deletions
diff --git a/git/bin/git-hook.d b/git/bin/git-hook.d
new file mode 100755
index 0000000..1c0ab10
--- /dev/null
+++ b/git/bin/git-hook.d
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+HOOKS="${0}.d"
+
+for HOOK in "${HOOKS}"/*
+do
+ if [ -x "${HOOK}" ]
+ then
+ "${HOOK}" "${@}" || true
+ fi
+done